import 'package:get/get.dart';
import 'package:vnoteapp/architecture/defines.dart';
import 'package:vnoteapp/store/store.dart';
import 'state.dart';

class SplashController extends FControllerBase {
  final state = SplashState();

  void onRouteTo() async {
    if (Store.user.isLogOn) {
      Get.offAllNamed("/");
    } else {
      Get.offAllNamed("/login");
    }
  }

  @override
  void onReady() {
    //

    super.onReady();
  }

  @override
  void onClose() {
    _doDispose();
    super.onClose();
  }

  void _doDispose() {}
}
